Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface ISiteFeatureReference

All Superinterfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

All Known Implementing Classes:
  SiteFeatureReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ISiteFeatureReference

extends IFeatureReference, IAdaptable

Site Feature reference. A reference to a feature on a particular update site.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `SiteFeatureReference`

Method Summary
`void` `addCategory(ICategory category)` Deprecated. Adds a category to the referenced feature.
`ICategory[]` `getCategories()` Deprecated. Returns an array of categories the referenced feature belong to.

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getFeature, getFeature, getName, getSite, getURL, getVersionedIdentifier, isPatch, setSite, setURL`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Method Detail

### getCategories

    ICategory[] getCategories()

  Deprecated.
  Returns an array of categories the referenced feature belong to.

  Returns:
    an array of categories, or an empty array
  Since:
    2.1

### addCategory

    void addCategory(ICategory category)

  Deprecated.
  Adds a category to the referenced feature.

  Parameters:
    `category` - new category
  Since:
    2.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.